Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.plastic
Class FailureMethodInvocationResult

    java.lang.Object
      org.apache.tapestry5.internal.plastic.FailureMethodInvocationResult

All Implemented Interfaces:
  MethodInvocationResult

    public class FailureMethodInvocationResult

extends java.lang.Object
implements MethodInvocationResult

Constructor Summary
`FailureMethodInvocationResult(java.lang.Throwable thrown)`

Method Summary
`boolean` | `didThrowCheckedException()` Returns true if the method invocation threw a checked exception.
`
`<T extends java.lang.Throwable> T`
` | `getCheckedException(java.lang.Class<T> exceptionType)` Retrieves the checked exception assignable to the indicated type, or null if the invocation did not throw a checked exception or the thrown exception is not assignable.
`java.lang.Object` | `getReturnValue()` Returns the actual value returned from the method invocation, if any.
`void` | `rethrow()` If the invocation threw a checked exception, then this method throws that exception wrapped as the cause of a new RuntimeException.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FailureMethodInvocationResult

    public FailureMethodInvocationResult(java.lang.Throwable thrown)

Method Detail

### getReturnValue

    public java.lang.Object getReturnValue()

  Description copied from interface: `MethodInvocationResult`
  Returns the actual value returned from the method invocation, if any. This will be null if the invocation threw a checked exception, or the method itself is void.

  Specified by:
    `getReturnValue` in interface `MethodInvocationResult`

### rethrow

    public void rethrow()

  Description copied from interface: `MethodInvocationResult`
  If the invocation threw a checked exception, then this method throws that exception wrapped as the cause of a new RuntimeException. Otherwise, this method does nothing.

  Specified by:
    `rethrow` in interface `MethodInvocationResult`

### didThrowCheckedException

    public boolean didThrowCheckedException()

  Description copied from interface: `MethodInvocationResult`
  Returns true if the method invocation threw a checked exception.

  Specified by:
    `didThrowCheckedException` in interface `MethodInvocationResult`

### getCheckedException

    public <T extends java.lang.Throwable> T getCheckedException(java.lang.Class<T> exceptionType)

  Description copied from interface: `MethodInvocationResult`
  Retrieves the checked exception assignable to the indicated type, or null if the invocation did not throw a checked exception or the thrown exception is not assignable.

  Specified by:
    `getCheckedException` in interface `MethodInvocationResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.